Subject: Re: [PATCH] test: fix for COLUMNS and bash 5

From: Junio C Hamano <[email-masked]>
Date: Mon, 23 Aug 2021 13:24:13 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> Now that we're post-release are you interested in a re-roll of
> https://lore.kernel.org/git/[email-masked]/
> + removal of the bash-specific checkwinsize added here, or would you

Let's wait until we see a concrete breakage report that shows that
checkwinsize is insufficient.  Even if such a second shell calls its
facility differently, as long as it works in a similar way and
another single liner like

    test -n "$BASH_VERSION" && shopt -u checkwinsize 2>/dev/null

we can keep piling such a single-liner next to each other, as the
number of shells we need to cater to would be less than a handful
anyway.

Thanks.